Bug 97176 - Minor doc issue with /lib/ld-linux.so dynamic loader
Minor doc issue with /lib/ld-linux.so dynamic loader
Status: CLOSED RAWHIDE
Product: Red Hat Raw Hide
Classification: Retired
Component: man-pages (Show other bugs)
1.0
All Linux
low Severity low
: ---
: ---
Assigned To: Eido Inoue
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-11 03:33 EDT by Valdis Kletnieks
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version: 1.60-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-28 17:17:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2003-06-11 03:33:33 EDT
Description of problem:
manpage for ld-linux doesn't correspond to binary.


Version-Release number of selected component (if applicable):
glibc-2.3.2-48 and man-pages-1.53-3


How reproducible:
'man ld.so' and '/lib/ld-linux.so', and compare descriptions of rpath.


Steps to Reproduce:
1.
2.
3.
    
Actual results:
Differing info (see below)

Expected results:
Consistent info..

Additional info:
'man ld.so' says:
       --ignore-rpath LIST
              Ignore RPATH and RUNPATH information in object names in LIST.

Running /lib/ld-linux.so says:
% /lib/ld-linux.so 
Usage: ld.so [OPTION]... EXECUTABLE-FILE [ARGS-FOR-PROGRAM...]
<text elided>

  --list                list all dependencies and how they are resolved
  --verify              verify that given object really is a dynamically linked
                        object we can handle
  --library-path PATH   use given PATH instead of content of the environment
                        variable LD_LIBRARY_PATH
  --inhibit-rpath LIST  ignore RUNPATH and RPATH information in object names
                        in LIST


Note the conflicting --inhibit-rpath and --ignore-rpath
Comment 1 Eido Inoue 2003-08-28 17:17:22 EDT
fixed in 1.60-1

Note You need to log in before you can comment on or make changes to this bug.